'##############################################################################
'# PictureCopy Version 1.00             Written 1999 Harald Gabler            #
'# Internet: http://www.netcamera.org   E-Mail: webmaster@netcamera.org       #
'##############################################################################
'# Datum: 1999-11-21                    Sprache: VisualBasicScript            #
'##############################################################################
'# PictureCopy kopiert Bilder einer WebCam in regelmaessigen Abstaenden in    #
'# ein Archivverzeichnis. Der Name der archivierten Datei wird aus dem Datum  #
'# und der Uhrzeit der Quelldatei gebildet.                                   #
'##############################################################################
'# Das Script laeuft unter Windows 98. Bei Verwendung von Windows 95 oder     #
'# Windows NT muss der Internet Explorer 5.0 oder der Windows Scripting Host  #
'# [http://www.microsoft.com/scripting/downloads/ws/x86/ste50de.exe]          #
'# installiert werden. Vor der Nutzung muss das Script angepasst werden.      #
'##############################################################################

'############################ Aenderungen - Anfang ############################

'Name zur Identifizierung falls mehrere Scripts laufen
Name       = "KAMERA NR. 1"

'Pfad und Name der zu archivierenden Datei
Quelldatei = "c:\capture.jpg"

'Pfad zu einem existierenden Archivverzeichnis mit Backslash am Ende
Zielpfad   = "c:\"

'Dateierweiterung der Archivdatei, normal ident mit Quelldateierweiterung
Zielendung = ".jpg"

'Archivierungsrate in Sekunden, max. 32000
Intervall  = 60

'############################# Aenderungen - Ende #############################

Version = "PictureCopy Version 1.00"

Set MShell = Wscript.CreateObject("Wscript.Shell")
Set fso = CreateObject("Scripting.FileSystemObject")
Set f1 = fso.GetFile(Quelldatei)

Do
   n1 = Year(f1.DateLastModified)
   n2 = Month(f1.DateLastModified)
   if len(n2) = "1" then n2 = "0" & n2
   n3 = Day(f1.DateLastModified)
   if len(n3) = "1" then n3 = "0" & n3
   n4 = Hour(f1.DateLastModified)
   if len(n4) = "1" then n4 = "0" & n4
   n5 = Minute(f1.DateLastModified)
   if len(n5) = "1" then n5 = "0" & n5
   n6 = Second(f1.DateLastModified)
   if len(n6) = "1" then n6 = "0" & n6
   f2 = n1 & n2 & n3 & "_" & n4 & n5 & n6 & Zielendung
   f1.Copy(Zielpfad & f2)
   t1 = time
   t2 = FormatDateTime(TimeSerial(hour(now), minute(now), second(now) + Intervall), 3)
   nl = Chr(10) & Chr(13)
   m0 = Name & nl & nl
   m1 = "Letzte Archivierung: " & t1 & nl
   m2 = "Naechste Archivierung: " & t2 & nl & nl
   m3 = "[OK] archiviert die Datei sofort." & nl
   m4 = "[Abbrechen] beendet das Script."
   Msg= m0 & m1 & m2 & m3 & m4
   Ret=MShell.Popup(Msg, Intervall, Version, 49)
   if ret = 2 then wscript.quit
loop
